# std::experimental::filesystem::file_status::operator=

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | file status

file_status& operator=( const file_status& other ) = default; | (1) | (filesystem TS)
file_status& operator=( file_status&& other ) = default; | (2) | (filesystem TS)

Copy- or move-assigns another file type object.

### Parameters

| This section is incomplete

### Return value

*this

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/file_status/operator%3D&oldid=91509"
Categories:

- Todo without reason
- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template